moSetGetFields = {};

function moSetGetFields:setFieldsPriceUpdate(self, slot, slotName)
	moFields = {};	
	moFields.userId = 0;	
	moFields.fieldsMax = table.getn(g_currentMission.fieldDefinitionBase.fieldDefsByFieldNumber);
	if moFields.fieldsMax > 0 then		
		local userId = g_currentMission:getServerUserId();          
		if userId ~= nil then
			moFields.userId = userId;
		end;		
		for a=1, moFields.fieldsMax do
			moFields[a] = {};
			moFields[a].fieldNumber = a;
			local x,y,z = getWorldTranslation(g_currentMission.fieldDefinitionBase.fieldDefsByFieldNumber[a].fieldBuyTrigger);			
			moFields[a].x = x;
			moFields[a].z = z;
			moFields[a].price = g_currentMission.fieldDefinitionBase.fieldDefsByFieldNumber[a].fieldPrice;
			moFields[a].isBuy = g_currentMission.fieldDefinitionBase.fieldDefsByFieldNumber[a].ownedByPlayer;
			moFields[a].hectar = g_currentMission.fieldDefinitionBase.fieldDefsByFieldNumber[a].fieldArea;			
		end;
		moGuiMiniPdaSlots.values[slot].foundObjects = moFields.fieldsMax;
	end;
end;

function moSetGetFields:setFieldsDefination(self)
	moFieldDef = {};
	function getFieldValues(fieldDef)
		local fieldValues = {}
		if fieldDef ~= nil and fieldDef.fieldDimensions ~= nil then
			for a=0, getNumOfChildren(fieldDef.fieldDimensions) - 1 do
				local b1 = getChildAt(fieldDef.fieldDimensions, a);
				local b2 = getChildAt(b1, 0);
				local b3 = getChildAt(b1, 1);
				local c1 = { getWorldTranslation(b1) };
				local c2 = { getWorldTranslation(b2) };
				local c3 = { getWorldTranslation(b3) };
				local overlap = 10;
				local x1 = math.min(c1[1],c2[1],c3[1]) - overlap;
				local z1 = math.min(c1[3],c2[3],c3[3]) - overlap;
				local x2 = math.max(c1[1],c2[1],c3[1]) + overlap;
				local z2 = math.max(c1[3],c2[3],c3[3]) + overlap;
				table.insert(fieldValues, {x1=x1,z1=z1,x2=x2,z2=z2});
			end;
		end;
		return fieldValues;
    end
	if g_currentMission.fieldDefinitionBase ~= nil and g_currentMission.fieldDefinitionBase.fieldDefs ~= nil then
		for fieldNumber,fieldDef in ipairs(g_currentMission.fieldDefinitionBase.fieldDefs) do
            moFieldDef[fieldNumber] = {};
			moFieldDef[fieldNumber] = getFieldValues(fieldDef)
        end
    end	
end;